---
layout: blog
week: 101
published: 2017-04-06 22:04:29
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 26 and Saturday April 1 2017:

Media coverage
--------------

Sylvain Beucler wrote a follow-up post [Practical basics of reproducible builds
2](http://blog.beuc.net/posts/Practical_basics_of_reproducible_builds_2/),
which like [last weeks
article](http://blog.beuc.net/posts/Practical_basics_of_reproducible_builds/)
is about his experiences making software build reproducibly.


Reproducible work in other projects
-----------------------------------

Colin Watson started writing a
[patch](https://code.launchpad.net/~cjwatson/launchpad/store-buildinfo/+merge/321263)
to make launchpad store `.buildinfo` files. (It's not yet deployed.)


Toolchain development and fixes
-------------------------------

Ximin Luo continued to work on `BUILD_PATH_PREFIX_MAP` patches for [GCC
6](https://salsa.debian.org/reproducible-builds/gcc-6.git/) and
[dpkg](https://salsa.debian.org/reproducible-builds/dpkg.git/).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#858926](https://bugs.debian.org/858926) filed against [vine](https://tracker.debian.org/pkg/vine), forwarded [upstream](https://github.com/celery/vine/pull/12).
* [#859194](https://bugs.debian.org/859194) filed against [neutron](https://tracker.debian.org/pkg/neutron).
* [#859256](https://bugs.debian.org/859256) filed against [golang-github-lunny-log](https://tracker.debian.org/pkg/golang-github-lunny-log).
* [#859294](https://bugs.debian.org/859294) filed against [hunspell-dict-ko](https://tracker.debian.org/pkg/hunspell-dict-ko).
* [#859299](https://bugs.debian.org/859299) filed against [dactyl](https://tracker.debian.org/pkg/dactyl).
* [#859300](https://bugs.debian.org/859300) filed against [crac](https://tracker.debian.org/pkg/crac).
* [#859302](https://bugs.debian.org/859302) filed against [debirf](https://tracker.debian.org/pkg/debirf).

Mattia Rizzolo:

* [#859058](https://bugs.debian.org/859058) filed against [telegram-desktop](https://tracker.debian.org/pkg/telegram-desktop).


Reviews of unreproducible packages
----------------------------------

49 package reviews have been added, 25 have been updated and 42 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

1 issue type has been updated:

- [randomness_in_r_rdb_rds_databases](https://tests.reproducible-builds.org/issues/unstable/randomness_in_r_rdb_rds_databases_issue.html)


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Chris Lamb (4)
 - Mattia Rizzolo (1)


diffoscope development
----------------------

diffoscope 81 was uploaded to experimental by Chris Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/81)
from:

- Chris Lamb
  - Correct meaningless "1234-content" metadata when introspecting files
    within archives. This was a regression since #854723 due to the use of
    auto-incrementing on-disk filenames. (Closes: [#858223](https://bugs.debian.org/858223))
- Ximin Luo
  - Improve ISO9660/DOS/MBR check.


reprotest development
---------------------

reprotest development continued in git, including
[contributions](https://salsa.debian.org/reproducible-builds/reprotest.git/log/)
from:

- Ximin Luo:
  - Preserve directory structure when copying artifacts.


buildinfo.debian.net development
--------------------------------

buildinfo.debian.net development continued in git, including
[contributions](https://salsa.debian.org/reproducible-builds/reproducible-website.git/log/)
from:

- Chris Lamb:
  - Tidy rejection of supported formats.
  - Don't parse "Format:" header as the source package version.


reproducible-website development
--------------------------------

Holger switched reproducible-builds.org and www.reproducible-builds.org to
letsencrypt certificates.


Misc.
-----

This week's edition was written by Ximin Luo and Holger Levsen & reviewed by a
bunch of Reproducible Builds folks on IRC & the mailing lists.
