---
layout: blog
week: 118
published: 2017-08-01 14:08:00
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday July 23 and Saturday July 29 2017:

* Mattia posted an [extensive status update from the Debian Reproducible Builds project](https://lists.debian.org/debian-devel-announce/2017/07/msg00004.html) to the `debian-devel-announce` mailing list. There were subsequent discussions on [Hacker News](https://news.ycombinator.com/item?id=14834386) and [Reddit](https://www.reddit.com/r/linux/comments/6p14q0/debians_archive_is_up_to_94_for_reproducible_build/).

* A NASA presentation on "[Real system failures](https://c3.nasa.gov/dashlink/resources/624/)" contained [an interesting slide pertaining to reproducible builds](https://c3.nasa.gov/dashlink/static/media/other/ObservedFailures54.html).

* A 2015 article on Reproducible Builds ("[How Debian Is Trying to Shut Down the CIA and Make Software Trustworthy Again](https://motherboard.vice.com/en_us/article/78xnge/how-debian-is-trying-to-shut-down-the-cia-and-make-software-trustworthy-again)") resurfaced in popularity, possibly due to the recent Wikileaks "[Vault 7](https://wikileaks.org/vault7/)" exposure of malware whose effects can be ameliorated or detected by adopting Reproducible Builds.

Toolchain development and fixes
-------------------------------

* Chris Lamb sent an experimental patch to `apt` to make the output of `apt-ftparchive` reproducible. Thanks to David Kalnischkies for reworking the result. ([#869557](https://bugs.debian.org/869557))

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
  * [#869578](https://bugs.debian.org/869578) filed against [gdmap](https://tracker.debian.org/pkg/gdmap).
  * [#869580](https://bugs.debian.org/869580) filed against [teg](https://tracker.debian.org/pkg/teg).
  * [#869583](https://bugs.debian.org/869583) filed against [gnome-specimen](https://tracker.debian.org/pkg/gnome-specimen).
  * [#869884](https://bugs.debian.org/869884) filed against [chemical-mime-data](https://tracker.debian.org/pkg/chemical-mime-data).
  * [#870047](https://bugs.debian.org/870047) filed against [imagemagick](https://tracker.debian.org/pkg/imagemagick).
  * [#870068](https://bugs.debian.org/870068) filed against [kde4libs](https://tracker.debian.org/pkg/kde4libs).
* Chris Lamb:
  * [#869516](https://bugs.debian.org/869516) filed against [libcdio](https://tracker.debian.org/pkg/libcdio).
  * A [previous pull request against wheel](https://bitbucket.org/pypa/wheel/pull-requests/74/make-the-output-of-metadata-files) was merged upstream.
* Helmut Grohne:
  * [#869584](https://bugs.debian.org/869584) filed against [fontconfig](https://tracker.debian.org/pkg/fontconfig).
  * [#869588](https://bugs.debian.org/869588) filed against [libcap2](https://tracker.debian.org/pkg/libcap2).


Reviews of unreproducible packages
----------------------------------

4 package reviews have been added, 2 have been updated and 24 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Aaron M. Ucko (1)
 - Adrian Bunk (35)
 - Helmut Grohne (4)
 - Stefan Tatschner (1)


diffoscope development
----------------------


- Juliana Oliveira Rodrigues:
  - [Refactor XML comparator to use File.recognizes logic](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bb329cd)
  - [Fix test\_ico\_image for identify >= 6.9.8](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2199b94)
  - [Fix test\_no\_android\_manifest from test\_apk](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5c53955)
  - [Fix test\_android\_manifest from test\_apk](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ddfda4d)
  - [Fix test\_xml\_expected\_diff output encoding to UTF-8](https://salsa.debian.org/reproducible-builds/diffoscope/commit/09de591)

- Ximin Luo:
  - [Improve method for detecting APKs](https://salsa.debian.org/reproducible-builds/diffoscope/commit/00a4c14)
  - [Factor common logic from various comparators into File.recognizes](https://salsa.debian.org/reproducible-builds/diffoscope/commit/eaea123)


Misc.
-----

This week's edition was written by Chris Lamb, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
