---
layout: blog
week: 128
published: 2017-10-10 08:10:10
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday October 1 and Saturday October 7 2017:

Media coverage
--------------

* Bernhard sent [another report about the status of Reproducible openSUSE](https://lists.opensuse.org/opensuse-factory/2017-10/msg00016.html). They currently they are at 478 unreproducible and 11,111 reproducible packages out of 11,821, so [also at 93%](https://isdebianreproducibleyet.com/)!

* Holger attempted to get a Reproducible Builds devroom at [FOSDEM 2018](https://fosdem.org/2018/) but sadly this proposal was not accepted.

Documentation updates
---------------------

* Christoph Berg [created a wiki page about Openjade generated timestamps from DSSSL stylesheets](https://wiki.debian.org/ReproducibleBuilds/TimestampsInDocumentationGeneratedByOpenjade).

Packages reviewed and fixed, and bugs filed
-------------------------------------------


* Bernhard M. Wiedemann:
    * [LiE](https://github.com/davidsd/lie/pull/1) uninitialized memory (need to find upstream)
    * [chrony](https://www.mail-archive.com/chrony-dev@chrony.tuxfamily.org/msg01685.html) date (merged)
* Chris Lamb:
    * [#877375](https://bugs.debian.org/877375) filed against [polygen](https://tracker.debian.org/pkg/polygen).
    * [#877381](https://bugs.debian.org/877381) filed against [plr](https://tracker.debian.org/pkg/plr).
    * [#877384](https://bugs.debian.org/877384) filed against [rcs](https://tracker.debian.org/pkg/rcs).
    * [#877928](https://bugs.debian.org/877928) filed against [cadvisor](https://tracker.debian.org/pkg/cadvisor).
* jathan:
    * [#877470](https://bugs.debian.org/877470) filed against [bsh](https://tracker.debian.org/pkg/bsh).


Reviews of unreproducible packages
----------------------------------

32 package reviews have been added, 46 have been updated and 62 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (27)


diffoscope development
----------------------

- Chris Lamb:
    - [Don't crash on malformed md5sums files.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/70cb725) (Closes: [#877473](https://bugs.debian.org/877473))
    - [Improve names in output of "internal" binwalk members.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/07c0562) (Closes: [#877525](https://bugs.debian.org/877525))

- Mattia Rizzolo:
    - [Fix test compatibility with dtb version 1.4.5](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8f98304)


strip-nondeterminism development
--------------------------------

[Rob Browning noticed that strip-nondeterminism was causing serious performance
regressions](http://bugs.debian.org/877418) in the [Clojure](https://clojure.org)
programming language within Debian. After some discussion, Chris Lamb also
[posted a query to debian-devel](https://lists.debian.org/debian-devel/2017/10/msg00073.html)
in case there were any other programming languages that might be suffering from the same problem.

- Chris Lamb:
    - [jar.pm: Clojure considers the .class file to be stale if it shares the same timestamp of the .clj. We thus adjust the timestamps of the .clj to always be younger.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=7691e29). (Closes: [#877418](https://bugs.debian.org/877418))
    - [jar.pm, zip.pm: Allow $options{member\_normalizer} callback to support specifying the timestamp.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=dec8623)
    - [zip.pm: Ensure that we don't try and write an old timestamp; Archive::Zip will do this anyway, just noisily.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=3f92d1b)
    - [zip.pm: Calculate the target canonical time in just one place.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=99af63b)
    - [bin/strip-nondeterminism: Print a warning in --verbose mode if no canonical time specified.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=0a60b30)
    - [jar.pm: Update comment to reflect that NTFS/FAT has a 2s timestamp granularity.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=e03d382)
    - [jar.pm: s/NTFS/FAT/. Thanks to James Ross.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=e2d3237)



reprotest development
---------------------

Versions [0.7.1](https://tracker.debian.org/news/876827) and [0.7.2](https://tracker.debian.org/news/876848) were uploaded to unstable by Ximin Luo:

* New features:
    * Add a `--auto-build` option to try to determine which specific variations cause unreproducibility.
    * Add a `--source-pattern` option to restrict copying of `source_root`, and set this automatically in our presets.
* Usability improvements:
    * Improve error messages in some common scenarios.
        * Fiving a `source_root` or `build_command` that doesn't exist
        * Using reprotest with default settings after not installing Recommends
    * Output hashes after a successful `--auto-build`.
    * Print a warning message if we reproduced successfully but didn't vary everything.
* Fix varying both `umask` and `user_group` at the same time.
* Have `dpkg-source` extract to different build dir if varying the build-path.
* Pass `--exclude-directory-metadata` to `diffoscope(1)` by default as this is the majority use-case.
* Various bug fixes to get the basic `dsc+schroot` example working.

It included [contributions](https://salsa.debian.org/reproducible-builds/reprotest/commits/debian/0.7.1) already covered by posts of the previous weeks, as well as new ones from:

- Ximin Luo:
    - [main: Add a `--env-build` option for testing different env vars](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=ae3fdae)
    - [Don't output spurious warnings in tests](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=77f4195)
    - [Add some more notes on the remaining variations](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=8a18177)
    - [Fix the help text for virtual servers](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=f76dbdd)


tests.reproducible-builds.org
-----------------------------

* Mattia Rizzolo:
    + Re-deploy `odxu4a` after being reinstalled and renamed from `odxu4`.
* Vagrant Cascadian:
    + [Rename armhf host odxu4 to odxu4a](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ee0200e)

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Mattia Rizzolo
& reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
