---
layout: blog
week: 145
published: 2018-02-06 18:02:43
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday January 28 and Saturday February 3 2018:


Reproducible work in other projects
-----------------------------------

* Whilst it has been active for some time, the `#archlinux-reproducible` Freenode IRC channel is the home to Reproducible efforts on Arch.

* [Please](https://please.build/) is a cross-language build system with an emphasis on high performance, extensibility and reproduceability. It supports a number of popular languages and can automate nearly any aspect of your build process.

* Jim MacArthur [posted about Reproducible Builds in BuildStream](https://mail.gnome.org/archives/buildstream-list/2018-February/msg00003.html).


Development and fixes in key packages
-------------------------------------

* Chris Lamb added `.buildinfo` support to Lintian 2.5.73. ([#853274](https://bugs.debian.org/853274))


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#888727](https://bugs.debian.org/888727) filed against [cdparanoia](https://tracker.debian.org/pkg/cdparanoia).
* Alastair McKinstry:
    * [#889133](https://bugs.debian.org/889133) filed against [gcc-7](https://tracker.debian.org/pkg/gcc-7).
* Chris Lamb:
    * [#889128](https://bugs.debian.org/889128) filed against [php7.2](https://tracker.debian.org/pkg/php7.2).
    * [#889171](https://bugs.debian.org/889171) filed against [cloudkitty](https://tracker.debian.org/pkg/cloudkitty).
    * [#889315](https://bugs.debian.org/889315) filed against [designate](https://tracker.debian.org/pkg/designate).
* Bernhard M. Wiedemann:
    * [syncthing](https://build.opensuse.org/request/show/571706)


Reviews of unreproducible packages
----------------------------------

39 package reviews have been added, 55 have been updated and 23 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

A new issue was added:

* [gfortran\_mod\_captures\_build\_path](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b0b14ef0)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Aaron M. Ucko (1)
 - Adrian Bunk (40)
 - Emilio Pozuelo Monfort (2)
 - Matthias Klose (3)
 - Pirate Praveen (4)
 - tony mancill (1)


diffoscope development
----------------------

- Juliana Oliveira:
    - [Catch `FileNotFoundError` exception](https://salsa.debian.org/reproducible-builds/diffoscope/commit/016a89e)
- Mattia Rizzolo:
    - [Wrap a long regular expression for improved readability](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e1869c3)

Furthermore, work from Juliana—our Outreachy intern—progressed toward a diffoscope
supporting parallel processing.

trydiffoscope development
-------------------------

Version [67.0.0](https://tracker.debian.org/news/928543) was uploaded to unstable by Chris Lamb.

- Chris Lamb:
    - [Move canonical version handling to setup.py, but check they match in debian/rules.](https://salsa.debian.org/reproducible-builds/trydiffoscope.git/commit/?id=ee26fa2) ([#888882](https://bugs.debian.org/888882))
    - [Add a MANIFEST file.](https://salsa.debian.org/reproducible-builds/trydiffoscope.git/commit/?id=0c285c8)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Mattia Rizzolo, Paul Wise & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
