---
layout: blog
week: 156
published: 2018-04-24 06:16:39
---

![]({{ "/images/blog/156/logo.jpg" | relative_url }})

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday April 15 and Saturday April 21 2018:

* Holger Levsen [announced preliminary result of our poll for our logo](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000881.html) which was [subsequently verified](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000883.html) by Chris Lamb. The winner was "#6", shown above.

* Chris Lamb will present at [foss-north 2018](http://foss-north.se/2018/) on Monday April 23rd in Gothenburg, Sweden to speak about [diffoscope](https://diffoscope.org), our in-depth "diff-on-steroids" to analyse reproducible issues in packages. He will then be keynoting at [FLOSSUK 2018](https://www.flossuk.org/membership/spring-conference-2018/) in Edinburgh, Scotland on April 26th to speak about reproducible builds more generally.

* Jan Bundesmann, Reiner Herrmann and Holger Levsen wrote an article about Reproducible Builds titled [*Aus der Schablone*](https://www.heise.de/select/ix/2018/5/1524884258999635) (*"From the template"*) for the May issue of the German "iX" magazine.

* Holger Levsen began a discussion with the [Debian System Administrators](https://dsa.debian.org/) regarding redirecting this blog in the future away from the (deprecated) [Alioth](https://wiki.debian.org/Alioth) service. Chris Lamb subsequently started on the migration work.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:
    * [efl](https://build.opensuse.org/request/show/596585) ([ASLR](https://github.com/bmwiedemann/theunreproduciblepackage/tree/master/aslr))
    * lv2: [[...](https://github.com/drobilla/lv2/pull/21)] (sort entries), [[...](https://github.com/drobilla/lv2/pull/22)] (date/`SOURCE_DATE_EPOCH`)
    * [pcre](https://build.opensuse.org/request/show/596586) ([Profile Guided Optimizations/race](https://github.com/bmwiedemann/theunreproduciblepackage/tree/master/pgo))
* Chris Lamb:
    * [#895737](https://bugs.debian.org/895737) filed against [python-asdf](https://tracker.debian.org/pkg/python-asdf) ([forwarded upstream](https://github.com/spacetelescope/asdf/pull/490#issuecomment-381594784)).
    * [#896016](https://bugs.debian.org/896016) filed against [strace](https://tracker.debian.org/pkg/strace) ([forwarded upstream](https://github.com/strace/strace/pull/68)).
    * [#896064](https://bugs.debian.org/896064) filed against [libdazzle](https://tracker.debian.org/pkg/libdazzle) ([forwarded upstream](https://gitlab.gnome.org/GNOME/libdazzle/merge_requests/9)).
    * [#896138](https://bugs.debian.org/896138) filed against [sphinxcontrib-autoprogram](https://tracker.debian.org/pkg/sphinxcontrib-autoprogram).
    * [#896139](https://bugs.debian.org/896139) filed against [tcl-signal](https://tracker.debian.org/pkg/tcl-signal).
    * [#896441](https://bugs.debian.org/896441) filed against [corosync](https://tracker.debian.org/pkg/corosync) ([forwarded upstream](https://github.com/corosync/corosync/pull/345)).
* Rafael Laboissière:
    * [#895739](https://bugs.debian.org/895739) filed against [psychtoolbox-3](https://tracker.debian.org/pkg/psychtoolbox-3).
* Vagrant Cascadian:
    * [#896526](https://bugs.debian.org/896526) filed against [u-boot](https://tracker.debian.org/pkg/u-boot).
    * [#896520](https://bugs.debian.org/896520) filed against [lzop](https://tracker.debian.org/pkg/lzop).

In addition, Chris Lamb's [patch to the Freeland VPN client](https://github.com/freelan-developers/freelan/commit/97b049b1b8045d59505c5ce4c853420bf7272fb0) was merged upstream and build failure bugs were reported by Adrian Bunk (48), Paul Gevers (5) and Rafael Laboissière (1).

jenkins.debian.net development
------------------------------

A large number of changes were made to our [Jenkins](https://jenkins.io/)-based testing framework, including:

- Chris Lamb:
    - [Correct parsing of `diffoscope` version since recent update of PyPI.org](https://salsa.debian.org/qa/jenkins.debian.net/commit/119d2233)
- Mattia Rizzolo:
    - [Add Holger's SSH key](https://anonscm.debian.org/jenkins.debian.net/commit/af47509f)


Reviews of unreproducible packages
----------------------------------

43 package reviews have been added, 49 have been updated and 97 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

One new issue was added by Chris Lamb: [`build_path_in_index_files_generated_by_qdoc`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/1d7bb487). In addition, three issue types were removed ([`random_ispell_hash_files`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/acd721e6), [`randomness_in_python_setuptools_pkg_info`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/578eef2d) & [`timestamps_in_documentation_generated_by_asciidoctora`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4405eaaf))
and one was updated ([`timestamp_in_pear_registry_files`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/091e4736)).

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
