---
layout: blog
week: 175
published: 2018-09-03 17:16:04
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday August 26 and Saturday September 1 2018:

* Bernhard M. Wiedemann wrote an article on the [SUSE Blog](https://www.suse.com/c/blog/) entitled "[Extending trust in our binaries: No backdoors have been found](https://www.suse.com/c/extending-trust-in-our-binaries-no-backdoors-have-been-found/)" on the current status of reproducible builds in SUSE.

* [Mes](https://gitlab.com/janneke/mes) (a Scheme-based compiler for our "sister" [bootstrappable builds](http://bootstrappable.org) effort) [announced their 0.17 release and them becoming a GNU project](https://www.phoronix.com/scan.php?page=news_item&px=GNU-Mes-0.17-Released)

* [Jelle van der Waa](https://vdwaa.nl/) discussed the [removal of `svn $Id$` substitutions](https://lists.archlinux.org/pipermail/arch-dev-public/2018-August/029355.html) in [Arch Linux](https://www.archlinux.org/) to make builds reproducible.

* Chris Lamb uploaded version `100` of [diffoscope](https://diffoscope.org) (our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages) was [uploaded to Debian unstable, closing 8 bugs](https://tracker.debian.org/news/984157/accepted-diffoscope-100-source-all-into-unstable/).

* There were further updates for [our website](https://reproducible-builds.org/) including Arnout Engelen [adding Maven and the sbt build tool](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/3d776c8) projects and introducing a [link from the footer to sections in 'who'](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/6ed4948). Chris Lamb also added [Jelle van der Waa](https://vdwaa.nl/) talk to our [resources](https://reproducible-builds.org/resources/) page [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/140bca8)], added [Monero](https://getmonero.org/>) to the [Who is Involved?](https://reproducible-builds.org/who/) page and added the relevant [DebConf 18](http://debconf18.debconf.org/) presentations to our database [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/608b904>)].

* 6 Debian package reviews were added, 7 were updated and 9 were removed in this week by Chris Lamb, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Patches filed
-------------

* Bernhard M. Wiedemann:

    * [amazon-ecs-init](https://build.opensuse.org/request/show/632285) (random buildpath(go))
    * [bind-formula](https://github.com/saltstack-formulas/bind-formula/pull/110) (sort a hash in saltstack/jinja2)
    * [godot](https://github.com/godotengine/godot/pull/21553) (merged, 3xsort +bugfix, [date / year](https://github.com/godotengine/godot/pull/21554))
    * [ImageMagick](https://github.com/ImageMagick/ImageMagick/pull/1270) to not add a build date into `.PNG`. files.
    * [python-Fabric3](https://github.com/mathiasertl/fabric/issues/48) (FTBFS/timeout -j1)
    * [python-dukpy-kovidgoyal](https://github.com/kovidgoyal/dukpy/pull/3) (merged, sort `readdir(2)`)
    * [python-pyodbc](https://github.com/mkleehammer/pyodbc/pull/453) (sort `readdir(2)`)
    * [rpm](https://github.com/rpm-software-management/rpm/pull/536) to ensure `SOURCE_DATE_EPOCH` is in the past (for mtime-clamping).
    * [vrui](https://build.opensuse.org/request/show/631866) (drop time)

* Chris Lamb:
    * [grunt](https://github.com/gruntjs/grunt/pull/1596) (merged, date)
    * [libgit2-glib](https://bugs.debian.org/907793)
    * [marked-man](https://github.com/kapouer/marked-man/pull/12#issuecomment-416023601) (merged, date)
    * [mblaze](https://github.com/chneukirchen/mblaze/pull/132) (use correct `SOURCE_DATE_EPOCH` name) ([#907537](https://bugs.debian.org/907537))
    * [promise](https://github.com/then/promise/pull/148#issuecomment-416569416) (updated, random, sort `readdir(2)`)
    * [python-os-faults](https://bugs.debian.org/907450)
    * [rawtherapee](https://bugs.debian.org/907613)
    * [redis](https://github.com/antirez/redis/pull/2992#issuecomment-416025440) (merged, date, hostname)
    * [sphinx-gallery](https://github.com/sphinx-gallery/sphinx-gallery/pull/390#issuecomment-417712645)


tests.reproducible-builds.org development
-----------------------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) this week, including:

* Chris Lamb:
    * [Escape package name in "Schedule a new build" links](https://salsa.debian.org/qa/jenkins.debian.net/commit/f5acd9ed).

* Holger Levsen:
    * [Don't fail maintenance job if there are no old artifacts to delete](https://salsa.debian.org/qa/jenkins.debian.net/commit/73fda51d).
    * [Remove old node entries which are older than two weeks](https://salsa.debian.org/qa/jenkins.debian.net/commit/2635dc7a). ([#907497](https://bugs.debian.org/907497))

* Mattia Rizzolo:
    * [Escape package names in another case too](https://salsa.debian.org/qa/jenkins.debian.net/commit/d0ce4086).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
