---
layout: blog
week: 190
published: 2018-12-19 13:28:08
---

[![](/images/blog/190/group_photo.jpg#center)](https://twitter.com/ReproBuilds/status/1073091913664876544)

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 9th and Saturday December 15th 2018:

* We had an extremely rewarding and productive [Reproducible Builds summit](https://reproducible-builds.org/events/paris2018/) in Paris, France. Thank you to all who participated and helped organise the event.

    A full and in-depth report about the event is being prepared but in the meantime Jelle van der Waa [published a blog post](https://vdwaa.nl/arch-reproducible-build-summit-18.html#arch-reproducible-build-summit-18) with a brief report of the event from an [Arch Linux](https://www.archlinux.org/) perspective and Bernhard M. Wiedemann [posted his own report](https://lizards.opensuse.org/2018/12/17/report-from-the-reproducible-builds-summit-2018/) to his [openSUSE](https://www.opensuse.org/) blog.

    We would also like to thank [Mozilla](https://www.mozilla.org/), [Ford Foundation](https://www.fordfoundation.org/), [Open Technology Fund](https://www.opentech.fund), [Google Open Source Research](https://opensource.google.com/), [Debian](https://www.debian.org/) and [Protocol Labs](https://protocol.ai/) for sponsoring the event and for [Aspiration Tech](https://aspirationtech.org) for their facilitation work.

    T-shirts with the Reproducible Builds logo were also distributed at the event. If you are a contributor to Reproducible Builds and want a t-shirt, please send an email to Holger [as outlined in this mail](https://lists.reproducible-builds.org/pipermail/rb-general/2018-November/001266.html). The design is freely available in the [`reproducible-promo-material` Git repository](https://salsa.debian.org/reproducible-builds/reproducible-promo-material/) if you wish to print one yourself.

* Following on from a session at our summit, Bernhard M. Wiedemann started a thread on our mailing list discussing [Reproducible Builds through a mathematical formalism perspective](https://lists.reproducible-builds.org/pipermail/rb-general/2018-December/001327.html).

* [Chris Lamb](https://chris-lamb.co.uk/) updated the [Lintian](https://lintian.debian.org/) quality-assurance tool for Debian packages to check for files that reference the build path. ([#916021](https://bugs.debian.org/916021))

* Bernhard M. Wiedemann noticed that [Qt's `rcc` had finally merged](https://codereview.qt-project.org/#/c/243636/) the patch to use [`SOURCE_DATE_EPOCH`](https://reproducible-builds.org/specs/source-date-epoch/) for reproducible `.qrc` files. In addition, Chris Lamb filed Debian bug [#916425](https://bugs.debian.org/916425) with a patch for [`python-ruffus`](https://tracker.debian.org/pkg/python-ruffus) to fix a reproducibility issue there too.

* [Jelle van der Waa](https://vdwaa.nl), inspired by Bernhard's [recent RPM ecosystem update](https://lists.reproducible-builds.org/pipermail/rb-general/2018-December/001301.html), posted [an equivalent update of Reproducible Builds](https://lists.reproducible-builds.org/pipermail/rb-general/2018-December/001311.html) in [Arch Linux](https://www.archlinux.org/) to [our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/).

* Bernhard M. Wiedemann [submitted strip-nondeterminism-1.0.0](https://build.opensuse.org/request/show/658688) to openSUSE.

* Chris Lamb started to merge in new style guide to our project website, adding an example "work in progress" typography page [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/00369e5)] and also corrected some references to "non-determinism" [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/58643dd)]. In addition, [Holger Levsen](http://layer-acht.org/) updated our project's website to add [Microsoft](https://microsoft.com/) as an attendee of [our summit in Paris](https://reproducible-builds.org/events/paris2018/) [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/42f2b57)] and added a group photo taken by [Morten Linderud](Morten Linderud) [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/24edf47)].


[diffoscope](https://diffoscope.org/) development
-------------------------------------------------

[diffoscope](https://diffoscope.org/) is our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages. There was considerable activity this week, including contributions from:

* Chris Lamb:
    * Fix a `test_mozzip_compressed_files` test failure under [Alpine Linux](https://alpinelinux.org/). ([#916353](https://bugs.debian.org/916353))
    * Calculate the path to a test `.icc` file using `data()` to avoid a "Fixtures are not meant to be called directly" warning/error. ([#916226](https://bugs.debian.org/916226))
    * Drop debbindiff `Breaks/Replaces`. [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7472c24)]
    * Use `File.file_header` to simplify file detection. ([[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/aa55c7f)], [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f0ae5eb)] & [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f581b2d)])
    * Correct a "positives" typo. [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/237ca36)]

* Holger Levsen:
    * Clarify that upstream issues should be now reported via Salsa. [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f0bf14f)]

* Joachim Breitner:
    * Add support for comparing WebAssembly modules. ([!17](https://salsa.debian.org/reproducible-builds/diffoscope/merge_requests/17))

* Mattia Rizzolo:
    * Try matching for `MozillaZipFile` before `ZipFile`. [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/a069181)]

Chris Lamb also overhauled the [diffoscope.org](https://diffoscope.org) website, updating the design [[...](https://salsa.debian.org/reproducible-builds/diffoscope-website/commit/256ce81)] as well as informing users that they should [file issues on salsa](https://salsa.debian.org/reproducible-builds/diffoscope/issues) [[...](https://salsa.debian.org/reproducible-builds/diffoscope-website/commit/86ca32a)] and adding corresponding link to our [Salsa registration instruction](https://reproducible-builds.org/contribute/salsa/) [[...](https://salsa.debian.org/reproducible-builds/diffoscope-website/commit/7e957d5)].

[![](/images/blog/190/diffoscope-website.png#center)](https://diffoscope.org/)


Test framework development
--------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) this week, including:

* Chris Lamb:
    * Add a [PureOS](https://www.pureos.net/) default installation package set. ([!24](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/23))
    * Avoid double spaces in IRC output. ([!23](https://salsa.debian.org/qa/jenkins.debian.net/merge_requests/23))

* Mattia Rizzolo:
    * [Arch Linux](https://www.archlinux.org/)-specific changes:
        * Define `DISTROID` variable before using it. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/a30c3c18)]
        * Check for the correct distribution when querying the database. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/c891a865)]
    * [Debian](https://www.debian.org/)-specific changes:
        * Only build the `index_notify` page for Debian. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/2d1708e1)]
        * Adjust the [APT pinning](https://wiki.debian.org/AptPreferences) on `arm64` to install [Munin](http://munin-monitoring.org/) from [backports.debian.org](https://backports.debian.org/). [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/351e747f)]
    * [openSUSE](https://www.opensuse.org/)-specific changes:
        * Decode the input before giving it to json [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/19b01d7e)]
        * Notify IRC and Bernhard of job failures. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/9704f222)]
        * Add a job importing the openSUSE status into the database to build some HTML pages. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/d216ef4f)]
        * Use `--ignore-missing-files` to not warn about missing build logs. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/68e0d31d)]
    * Misc/generic changes:
        * Add openSUSE, Arch Linux and Alpine Linux to the list of "known" distributions. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/502138c1)]
        * Convert the `stats_build.build_duration` field type from `TEXT` to `INTEGER`. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/673fd148)]
        * Add a `distribution` field to the `sources`. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/5e429a95)]
        * Change the data type used to store timestamps. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/2976bc69)]
        * Various bits node maintenance. (eg. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/44494e99)])

---

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
