---
layout: blog
week: 48
published: 2016-04-12 18:04:16
---

What happened in the [reproducible
builds](https://wiki.debian.org/ReproducibleBuilds) effort between March 20th and March 26th:

Toolchain fixes
---------------

 * Sebastian Ramacher uploaded [breathe](https://tracker.debian.org/breathe)/4.2.0-1 which makes its output deterministic. [Original patch](https://bugs.debian.org/809186) by Chris Lamb, [merged upstream](https://github.com/michaeljones/breathe/pull/235).
 * Rafael Laboissiere uploaded [octave](https://tracker.debian.org/octave)/4.0.1-1 which allows packages to be built in place and avoid unreproducible builds due to temporary build directories appearing in the `.oct` files.

Daniel Kahn Gillmor worked on removing build path from build symbols submitting a [patch](https://bugs.debian.org/819185) adding `-fdebug-prefix-map` to [clang](https://tracker.debian.org/clang) to match GCC, [another patch](https://bugs.debian.org/819176) against [gcc-5](https://tracker.debian.org/gcc-5) to backport the removal of `-fdebug-prefix-map` from `DW_AT_producer`, and finally by [proposing](https://bugs.debian.org/819194) the addition of a `normalizedebugpath` to the `reproducible` feature set of `dpkg-buildflags` that would use `-fdebug-prefix-map` to replace the current directory with “`.`” using `-fdebug-prefix-map`.

Sergey Poznyakoff merged the `--clamp-mtime` option so that it will be [featured in the next Tar release](https://bugs.debian.org/816072#14). This option is likely to be used by `dpkg-deb` to [implement deterministic mtimes for packaged files](https://bugs.debian.org/759886).

Packages fixed
--------------

The following packages have become reproducible due to changes in their
build dependencies:
[augeas](https://tracker.debian.org/augeas),
[gmtkbabel](https://tracker.debian.org/gmtkbabel),
[ktikz](https://tracker.debian.org/ktikz),
[octave-control](https://tracker.debian.org/octave-control),
[octave-general](https://tracker.debian.org/octave-general),
[octave-image](https://tracker.debian.org/octave-image),
[octave-ltfat](https://tracker.debian.org/octave-ltfat),
[octave-miscellaneous](https://tracker.debian.org/octave-miscellaneous),
[octave-mpi](https://tracker.debian.org/octave-mpi),
[octave-nurbs](https://tracker.debian.org/octave-nurbs),
[octave-octcdf](https://tracker.debian.org/octave-octcdf),
[octave-sockets](https://tracker.debian.org/octave-sockets),
[octave-strings](https://tracker.debian.org/octave-strings),
[openlayers](https://tracker.debian.org/openlayers),
[python-structlog](https://tracker.debian.org/python-structlog),
[signond](https://tracker.debian.org/signond).

The following packages became reproducible after getting fixed:

 * [atheme-services](https://tracker.debian.org/atheme-services)/7.0.7-1 by Antoine Beaupré.
 * [boa-constructor](https://tracker.debian.org/boa-constructor)/0.6.1-16 by Reiner Herrmann.
 * [calculix-ccx](https://tracker.debian.org/calculix-ccx)/2.10-1 by Wolfgang Fütterer, fixed upstream.
 * [deap](https://tracker.debian.org/deap)/1.0.2.post2-2 by Daniel Stender.
 * [debian-keyring](https://tracker.debian.org/debian-keyring)/2016.03.22 uploaded by Jonathan McDowell, fix by Niels Thykier, [obsolete patch](https://bugs.debian.org/818111) by Satyam Zode.
 * [firefox-kwallet5](https://tracker.debian.org/firefox-kwallet5)/1.0-2 by Sandro Knauß.
 * [fox1.6](https://tracker.debian.org/fox1.6)/1.6.51-1 by Joachim Wiedorn.
 * [gdnsd](https://tracker.debian.org/gdnsd)/2.2.3-1 by Faidon Liambotis.
 * [glib2.0](https://tracker.debian.org/glib2.0)/2.48.0-1 uploaded by Iain Lane, [original patch](https://bugs.debian.org/812876) by Lunar, [merged upstream](https://bugzilla.gnome.org/show_bug.cgi?id=763617).
 * [jwm](https://tracker.debian.org/jwm)/2.3.4-1 uploaded by Samuel Henrique Oltramari Pinto, fix by Reiner Herrmann.
 * [libasm4-java](https://tracker.debian.org/libasm4-java)/5.0.4-2 by Emmanuel Bourg.
 * [libjna-java](https://tracker.debian.org/libjna-java)/4.2.2-1 by Emmanuel Bourg.
 * [libsynthesis](https://tracker.debian.org/libsynthesis)/3.4.0.47.5+syncevolution-1.5.1-1 uploaded by Tino Mettler, [patch](https://bugs.debian.org/792856) by Reiner Herrmann.
 * [logback](https://tracker.debian.org/logback)/1:1.1.6-1 by Emmanuel Bourg.
 * [nethack](https://tracker.debian.org/nethack)/3.6.0-2 uploaded by James Cowgill, [patch](https://bugs.debian.org/818128) by Reiner Herrmann.
 * [php-htmlpurifier](https://tracker.debian.org/php-htmlpurifier)/4.7.0-2 by David Prévot.
 * [psocksxx](https://tracker.debian.org/psocksxx)/1.1.0-1 by Gianfranco Costamagna.
 * [sbmltoolbox](https://tracker.debian.org/sbmltoolbox)/4.1.0-3 uploaded by Afif Elghraoui, [original patch](https://bugs.debian.org/819263) by Reiner Herrmann.
 * [spades](https://tracker.debian.org/spades)/3.7.1+dfsg-2 by Sascha Steinbiss.
 * [sprng](https://tracker.debian.org/sprng)/2.0a-10 uploaded by Dirk Eddelbuettel, [original patch](https://bugs.debian.org/818762) by Reiner Herrmann.

Some uploads fixed some reproducibility issues, but not all of them:

 * [gle-graphics](https://tracker.debian.org/gle-graphics)/4.2.5-2 by Christian T. Steigies.
 * [kexec-tools](https://tracker.debian.org/kexec-tools)/1:2.0.10-2 uploaded by Khalid Aziz, [original patch](https://bugs.debian.org/783239) by Lunar.
 * [pdal](https://tracker.debian.org/pdal)/1.1.0-4 by Bas Couwenberg.
 * [tcl8.5](https://tracker.debian.org/tcl8.5)/8.5.19-2 uploaded by Sergei Golovan, [original patch](https://bugs.debian.org/818751).
 * [tcl8.6](https://tracker.debian.org/tcl8.6)/8.6.5+dfsg-2 uploaded by Sergei Golovan, [original patch](https://bugs.debian.org/818750).

Patches submitted which have not made their way to the archive yet:

 * [#818742](https://bugs.debian.org/818742) on [milkytracker](https://tracker.debian.org/milkytracker) by Reiner Herrmann: sorts the list of source files.
 * [#818752](https://bugs.debian.org/818752) on [tcl8.4](https://tracker.debian.org/tcl8.4) by Reiner Herrmann: sort source files using C locale.
 * [#818753](https://bugs.debian.org/818753) on [tk8.6](https://tracker.debian.org/tk8.6) by Reiner Herrmann: sort source files using C locale.
 * [#818754](https://bugs.debian.org/818754) on [tk8.5](https://tracker.debian.org/tk8.5) by Reiner Herrmann: sort source files using C locale.
 * [#818755](https://bugs.debian.org/818755) on [tk8.4](https://tracker.debian.org/tk8.4) by Reiner Herrmann: sort source files using C locale.
 * [#818952](https://bugs.debian.org/818952) on [marionnet](https://tracker.debian.org/marionnet) by ceridwen: dummy out build date and uname to make build reproducible.
 * [#819334](https://bugs.debian.org/819334) on [avahi](https://tracker.debian.org/avahi) by Reiner Herrmann: ship upstream changelog instead of the one generated by gettextize (although duplicate of [#804141](https://bugs.debian.org/804141) by Santiago Vila).

tests.reproducible-builds.org
-----------------------------

`i386` build nodes have been setup by converting 2 of the 4 `amd64` nodes to `i386`. (h01ger)

Package reviews
---------------

92 [reviews](https://reproducible.debian.net/unstable/amd64/index_notes.html) have been removed, 66 added and 31 updated in the previous week.

New issues: [timestamps_generated_by_xbean_spring](https://reproducible.debian.net/issues/unstable/timestamps_generated_by_xbean_spring_issue.html), [timestamps_generated_by_mangosdk_spiprocessor](https://reproducible.debian.net/issues/unstable/timestamps_generated_by_mangosdk_spiprocessor_issue.html).

Chris Lamb filed 7 FTBFS bugs.

Misc.
-----

On March 20th, Chris Lamb gave a talk at [FOSSASIA 2016](https://2016.fossasia.org/schedule/) in Singapore.

The very same day, but a few timezones apart, h01ger did a presentation at [LibrePlanet 2016](https://www.libreplanet.org/2016/program/) in Cambridge, Massachusetts.

Seven [GSoC/Outreachy applications](https://wiki.debian.org/SummerOfCode2016) were made by potential interns to work on various aspects of the reproducible builds effort. On top of interacting with several applicants, prospective mentors gathered to review the applications.
