---
layout: blog
week: 49
published: 2016-04-12 21:04:59
---

What happened in the [reproducible
builds](https://wiki.debian.org/ReproducibleBuilds) effort between March 27th and April 2nd:

Toolchain fixes
---------------

 * Emmanuel Bourg uploaded [ant](https://tracker.debian.org/ant)/1.9.6-2 which makes the Tstamp task support the `SOURCE_DATE_EPOCH` variable, and the Javadoc task use `en` as the default locale if none was specified and `SOURCE_DATE_EPOCH` is set.

Packages fixed
--------------

The following packages have become reproducible due to changes in their
build dependencies:
[ctioga2](https://tracker.debian.org/ctioga2),
[erlang-bitcask](https://tracker.debian.org/erlang-bitcask),
[libcommons-collections3-java](https://tracker.debian.org/libcommons-collections3-java),
[libjgoodies-animation-java](https://tracker.debian.org/libjgoodies-animation-java),
[libjide-oss-java](https://tracker.debian.org/libjide-oss-java),
[octave-gsl](https://tracker.debian.org/octave-gsl),
[octave-interval](https://tracker.debian.org/octave-interval),
[octave-io](https://tracker.debian.org/octave-io),
[octave-quaternion](https://tracker.debian.org/octave-quaternion),
[octave-signal](https://tracker.debian.org/octave-signal),
[octave-stk](https://tracker.debian.org/octave-stk),
[segment](https://tracker.debian.org/segment),
[service-wrapper-java](https://tracker.debian.org/service-wrapper-java),
[sqlline](https://tracker.debian.org/sqlline),
[svnkit](https://tracker.debian.org/svnkit),
[uddi4j](https://tracker.debian.org/uddi4j),
[velocity-tools](https://tracker.debian.org/velocity-tools).

The following packages became reproducible after getting fixed:

 * [angular.js](https://tracker.debian.org/angular.js)/1.3.20-3 uploaded by Laszlo Boszormenyi, [patch](https://bugs.debian.org/819325) by Dhole.
 * [boa-constructor](https://tracker.debian.org/boa-constructor)/0.6.1-16 by Reiner Herrmann.
 * [fgetty](https://tracker.debian.org/fgetty)/0.7-1 by Dmitry Bogatov.
 * [hexchat](https://tracker.debian.org/hexchat)/2.12.0-1 uploaded by Jesse Rhodes, [fixed upstream](https://github.com/hexchat/hexchat/commit/0a8248578fc9188adf4c983729e4cd775c4d52bd).
 * [littlewizard](https://tracker.debian.org/littlewizard)/1.2.2-4 uploaded by Kari Pahula, [original patch](https://bugs.debian.org/818686) by Reiner Herrmann.
 * [logback](https://tracker.debian.org/logback)/1:1.1.6-1 by Emmanuel Bourg.
 * [pcsxr](https://tracker.debian.org/pcsxr)/1.9.94-2 by James Cowgill.
 * [pybtex](https://tracker.debian.org/pybtex)/0.19-2 by Daniel Stender.
 * [python-structlog](https://tracker.debian.org/python-structlog)/16.0.0-1 by Filippo Giunchedi.
 * [sbmltoolbox](https://tracker.debian.org/sbmltoolbox)/4.1.0-3 by Afif Elghraoui, [original patch](https://bugs.debian.org/819263) by Reiner Herrmann.
 * [tiles](https://tracker.debian.org/tiles)/2.2.2-7 by Emmanuel Bourg.

Some uploads fixed some reproducibility issues, but not all of them:

 * [dash](https://tracker.debian.org/dash)/0.5.8-2.2 uploaded by Niels Thykier, [original patch](https://bugs.debian.org/774425) by Lunar.
 * [gle-graphics](https://tracker.debian.org/gle-graphics)/4.2.5-4 by Christian T. Steigies.
 * [prospector](https://tracker.debian.org/prospector)/0.11.7-6 by Daniel Stender.
 * [therion](https://tracker.debian.org/therion)/5.3.16-10 by Wookey.
 * [vim](https://tracker.debian.org/vim)/2:7.4.1689-1 uploaded by James McCoy, [original patch](https://bugs.debian.org/787327) by Reiner Herrmann.

Patches submitted which have not made their way to the archive yet:

 * [#783239](https://bugs.debian.org/783239) on [kexec-tools](https://tracker.debian.org/kexec-tools) by Lunar: follow-up patch to cope with locale variations.
 * [#819347](https://bugs.debian.org/819347) on [starvoyager](https://tracker.debian.org/starvoyager) by Sascha Steinbiss: sort the list of input object files.
 * [#819352](https://bugs.debian.org/819352) on [xpdf](https://tracker.debian.org/xpdf) by Sascha Steinbiss: sort the list of linked object files.
 * [#819512](https://bugs.debian.org/819512) on [breeze](https://tracker.debian.org/breeze) by Dhole: force grep to treat all files as text to avoid locale-related issues.
 * [#819726](https://bugs.debian.org/819726) on [ckbuilder](https://tracker.debian.org/ckbuilder) by boyska: add support for `SOURCE_DATE_EPOCH`.
 * [#819767](https://bugs.debian.org/819767) on [libtool](https://tracker.debian.org/libtool) by rain1: removes extra timestamps from the build system, ensure a stable file order when creating the source archive, and replace uses of the `hostname` command with the fixed string "localhost".

tests.reproducible-builds.org
-----------------------------
The i386 builders are now testing packages on i386 for reproducibility. It will probably take 4 weeks until everything has been build twice, on this arch. (h01ger)

Package reviews
---------------

52 [reviews](https://reproducible.debian.net/unstable/amd64/index_notes.html) have been removed, 24 added and 4 updated in the previous week.

Chris Lamb reported 13 new FTBFS.

New issue: [copyright_year_in_comments_generated_by_ckbuilder](https://reproducible.debian.net/issues/unstable/copyright_year_in_comments_generated_by_ckbuilder_issue.html).

Misc.
-----
This week's edition was mostly written by Lunar, with some help by Reiner Herrmann and h01ger.
