---
layout: blog
week: 84
published: 2016-12-05 12:12:35
---

What happened in the [Reproducible Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday November 27 and Saturday December 3 2016:

Reproducible work in other projects
-----------------------------------

- [Ducible](https://github.com/jasonwhite/ducible) is a new tool to make Windows builds reproducible.

- Manish Goregaokar wrote about [Reflections on Rusting Trust](https://manishearth.github.io/blog/2016/12/02/reflections-on-rusting-trust/).

Media coverage, etc.
--------------------

- There was a Reproducible Builds hackathon in Boston with contributions from Dafydd, Valerie, Clint, Harlen, Anders, Robbie and Ben. (See the "Bugs filed" section below for the results).

- [Distrowatch](https://distrowatch.com) mentioned [Webconverger's reproducible status](https://distrowatch.com/weekly.php?issue=20161128#news).

Bugs filed
----------

Chris Lamb:

* [#846588](https://bugs.debian.org/846588) filed against [minicoredumper](https://tracker.debian.org/pkg/minicoredumper).
* [#846647](https://bugs.debian.org/846647) filed against [tinyeartrainer](https://tracker.debian.org/pkg/tinyeartrainer).
* [#846842](https://bugs.debian.org/846842) filed against [nethogs](https://tracker.debian.org/pkg/nethogs).

Clint Adams:

* [#846892](https://bugs.debian.org/846892) filed against [pkg-mozilla-archive-keyring](https://tracker.debian.org/pkg/pkg-mozilla-archive-keyring).

Dafydd Harries:

* [#846893](https://bugs.debian.org/846893) filed against [flac](https://tracker.debian.org/pkg/flac).

Daniel Shahaf:

* [#846832](https://bugs.debian.org/846832) filed against [patat](https://tracker.debian.org/pkg/patat).

Reiner Herrmann:

* [#845991](https://bugs.debian.org/845991) filed against [pathogen](https://tracker.debian.org/pkg/pathogen).

Valerie R Young:

* [#846878](https://bugs.debian.org/846878) filed against [taggrepper](https://tracker.debian.org/pkg/taggrepper).
* [#846890](https://bugs.debian.org/846890) filed against [ipsvd](https://tracker.debian.org/pkg/ipsvd).
* [#846891](https://bugs.debian.org/846891) filed against [integrit](https://tracker.debian.org/pkg/integrit).


Reviews of unreproducible packages
----------------------------------

15 package reviews have been added, 4 have been updated and 26 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been added:

- [nondeterminstic\_ordering\_in\_casacore\_tables](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/96ab63b)
- [nondeterminstic\_output\_from\_uglifyjs](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/fe692b1)


Weekly QA work
--------------

During our reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (5)
 - Lucas Nussbaum (8)
 - Santiago Vila (1)


diffoscope development
----------------------

- diffoscope 63 was uploaded to unstable by Ximin Luo:

  - Greatly improve speed for large archives by fixing `O(n^2)` complexity for archive member lookup.
  - [add +/- buttons to toggle visibility of parts of the diff](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d89cd7c)
  - [Output coloured diff using colordiff(1) via --text-color={never,auto,always}](https://salsa.debian.org/reproducible-builds/diffoscope/commit/266878a)

Is is available now in Debian, Archlinux and on [PyPI](https://pypi.org).

strip-nondeterminism development
--------------------------------

- At the Reproducible Builds Boston hackathon Anders Kaseorg filed [#846895](https://bugs.debian.org/846895) treat `.par` files as Zip archives, including a patch which was merged into `master`.

reprotest development
---------------------

- reprotest 0.4 was uploaded to unstable by Ximin Luo:

  - [disorderfs variation: don't query the testbed, put that in the script instead](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=1c3ab06)
  - [Add a build\_path\_same variation to run builds from the same path](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=3d36071)
  - [Fix auto-presets in the case of a file in the current directory](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=0aa71d0)
  - [Fix d/control so reprotesting reprotest in sbuild works (6 reproductions)](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=9027eb2)
  - [Add util-linux to Recommends since we use it to vary some things](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=af6a616)


tests.reproducible-builds.org
-----------------------

- Holger made a couple of changes:

  - Group all "done" and all "open" usertagged bugs together in the [bugs graphs](https://tests.reproducible-builds.org/debian/index_bugs.html) and move the "done bugs" from the bottom of these gaps.
  - Update list of packages installed on `.debian.org` machines.
  - Made the maintenance jobs run every 2h instead of 3h.
  - Various bug fixes and minor improvements.

- After thorough review by Mattia, some patches by Valerie were merged in preparation of the switch from sqlite to Postgresql, most notably a conversion to the sqlalchemy expression language.

- Holger [gave a talk at Profitbricks](https://jenkins.debian.net/userContent/presentations/2016-11-30-Profitbricks/#/) about how Debian is using 168 cores, 503 GB RAM and 5 TB storage to make `jenkins.debian.net` and `tests.reproducible-builds.org` run. Many thanks to Profitbricks for supporting `jenkins.debian.net` since August 2012!

- Holger created a Jenkins job to build [reprotest](https://jenkins.debian.net/job/reproducible_reprotest_from_git_master/) from git master branch.
  
- Finally, the Jenkins [Naginator](https://wiki.jenkins-ci.org/display/JENKINS/Naginator+Plugin) plugin was installed to retry git cloning in case of [Alioth](https://wiki.debian.org/Alioth)/network failures, this will benefit all jobs using Git on `jenkins.debian.net`.

Misc.
-----

This week's edition was written by Chris Lamb, Valerie Young, Vagrant Cascadian, Holger Levsen and reviewed by a bunch of Reproducible Builds folks on IRC.
