---
layout: blog
week: 88
published: 2017-01-03 14:01:09
---

What happened in the [Reproducible Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday December 25 and Saturday December 31 2016:

Media coverage
--------------

- Brett Smith wrote a [report on our recent summit meeting](https://sfconservancy.org/blog/2016/dec/26/reproducible-builds-summit-report/) on behalf of the [Software Freedom Conservancy](https://sfconservancy.org/).


Reproducible bugs filed
-----------------------

Chris West:

* [#849667](https://bugs.debian.org/849667) filed against [htslib](https://tracker.debian.org/pkg/htslib).

Chris Lamb:

* [#849314](https://bugs.debian.org/849314) filed against [node-gulp](https://tracker.debian.org/pkg/node-gulp).
* [#849333](https://bugs.debian.org/849333) filed against [faker](https://tracker.debian.org/pkg/faker).

Rob Browning:

* [#849692](https://bugs.debian.org/849692) filed against [oneliner-el](https://tracker.debian.org/pkg/oneliner-el).


Reviews of unreproducible packages
----------------------------------

7 package reviews have been added, 12 have been updated and 14 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been updated:

- [build\_id\_differences\_only](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4f97097e)
- [cython\_captures\_build\_path](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/424ae5e0)

Weekly QA work
--------------

During our reproducibility testing, the following FTBFS bugs have been detected and
reported by:

 - Chris West (19)
 - Chris Lamb (7)
 - Rob Browning (1)


diffoscope development
----------------------


- Chris Lamb:
  - Optimisations:
    - Avoid unnecessary string manipulation writing --text output (~20x speedup).
    - Avoid *n* iterations over archive files (~8x speedup).
    - Memoize calls to `distutils.spawn.find_executable` to avoid excessive `stat(1)` syscalls.
  - Progress bar:
    - Show current file / ELF section under analysis etc. in progress bar.
    - Move the ``--status-fd`` output to use JSON and to include the current filename.
  - Code tidying:
    - Split out the [try.diffoscope.org](https://try.diffoscope.org) client so that it can be [released separately on PyPI](https://pypi.python.org/pypi/trydiffoscope).
    - Completely rework the `diffoscope` and `diffoscope.comparators` modules, grouping similar utilities into their own modules, etc.
  - Miscellaneous:
    - Ensure that running from Git will always use that checkout's Python modules.
- Mattia Rizzolo:
  - [Follow the rename of the debian package 'python-jsbeautifier' to 'jsbeautifier'](https://salsa.debian.org/reproducible-builds/diffoscope/commit/cdeef66)
- Reiner Herrmann:
  - [apk: Extend recognition regex to also match zip archives](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2b4a5c4)
- siamezzze:
  - [Fixed no newline being classified as order-like difference.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ac63991)


strip-nondeterminism development
--------------------------------

- strip-nondeterminism 0.029-2 was uploaded to unstable by Mattia Rizzolo to include a [fix by Chris Lamb to fix the autopkgtest tests](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?h=debian/0.029-2&id=81d06905acb35b7a8681ff2e9bf29087cae5414e).

try.diffoscope.org development
------------------------------

- Chris Lamb:
  - Show progress bar and position in queue, etc.
  - Promote command-line client with PyPI instructions.
  - Increase comparison time limit to 90 seconds.

tests.reproducible-builds.org
-----------------------

- Run half of the `arm64` build nodes in the future. (h01ger)
- Resume `testing` scheduling (on i386 and armhf) now [#846564](https://bugs.debian.org/846564) and [#844701](https://bugs.debian.org/844701) bugs in `dpkg` are fixed in that suite. (h01ger)

Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen and was reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
