---
layout: blog
week: 94
published: 2017-02-14 00:02:05
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday February 5 and Saturday February 11 2017:

Upcoming events
---------------

- Holger [proposed a hackathon with various possible dates](https://lists.reproducible-builds.org/pipermail/rb-general/2017-February/000350.html) -- please reply with your preferred dates!

- "Reproducible builds: Status update" CfP submitted for Debconf17 in Montreal.

Patches sent upstream
---------------------

- [pnmixer](https://github.com/nicklan/pnmixer/pull/153) (Chris Lamb)
- [cloud-sptheme](https://bitbucket.org/ecollins/cloud_sptheme/pull-requests/22/please-make-the-build-reproducible/diff) (Chris Lamb)
- [python-hypothesis](https://github.com/HypothesisWorks/hypothesis-python/pull/440) (Chris Lamb)
- [cython](https://github.com/cython/cython/pull/1576) (Jelmer Vernooĳ)

Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#854332](https://bugs.debian.org/854332) filed against [cloud-sptheme](https://tracker.debian.org/pkg/cloud-sptheme).
* [#854512](https://bugs.debian.org/854512) filed against [ftpcopy](https://tracker.debian.org/pkg/ftpcopy).
* [#854549](https://bugs.debian.org/854549) filed against [python-hypothesis](https://tracker.debian.org/pkg/python-hypothesis).

Daniel Shahaf:

* [#854492](https://bugs.debian.org/854492) filed against [xlsx2csv](https://tracker.debian.org/pkg/xlsx2csv).
* [#854541](https://bugs.debian.org/854541) filed against [sogo](https://tracker.debian.org/pkg/sogo).

"Z. Ren":

* [#854293](https://bugs.debian.org/854293) filed against [manpages-tr](https://tracker.debian.org/pkg/manpages-tr).
* [#854294](https://bugs.debian.org/854294) filed against [regina-rexx](https://tracker.debian.org/pkg/regina-rexx).
* [#854362](https://bugs.debian.org/854362) filed against [fonts-uralic](https://tracker.debian.org/pkg/fonts-uralic).


Reviews of unreproducible packages
----------------------------------

83 package reviews have been added, 8 have been updated and 32 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

5 issue types have been added:

- [randomness\_in\_swf\_files\_generated\_by\_as3compile](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/39cedd19)
- [randomness\_in\_t3g\_files\_generated\_tslmendian](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d3c2567e)
- [absolute\_build\_paths\_in\_dot\_packlist\_file\_generated\_by\_perl\_extutils\_packlist](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/a46bc1bf)
- [formatdb\_from\_ncbi\_blastplus\_captures\_build\_time](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c079bd93)
- [timestamp\_and\_build\_path\_captured\_by\_python\_cheetah](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/14353840)

1 issue type has been updated:

- [build\_id\_differences\_only](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/122287a6)

Weekly QA work
--------------

During our reproducibility testing, the following FTBFS bugs have been detected and
reported by:

 - Chris Lamb (7)
 - gregory bahde (1)


diffoscope development
----------------------

diffoscope versions 71, 72, 73, 74 & 75 were uploaded to unstable by Chris Lamb:

- Chris Lamb:
    - New features:
        - [Add --exclude option. (Closes: #854783)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bb2ff3b)
        - [Apply --max-report-size to --text reports. (Closes: #851147)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7479e16)
        - [Add a machine-readable JSON output format. (Closes: #850791)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c601f2d)
        - [Show results from debugging packages last (Closes: #820427)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/62b3900)
        - [Specify lang="en" in HTML output. (re. #849411)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/097dee5)
    - Bug fixes:
        - [Fix errors when comparing directories with non-directories. (Closes: #835641)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/db37e55)
        - [Clean all temp files in signal handler thread instead of attempting to bubble exception back to the main thread. (Closes: #852013)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f0343d8)
        - [Correct logic of module\_exists, ensuring we correctly skip tests when python3-debian is not installed. (Closes: #854745)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/520f8c6)
        - [Extract archive members using an auto-incrementing integer, avoiding the need to sanitise filenames. (Closes: #854723)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/632a408)
        - [Importing submodules (ie. ``parent.child``) will attempt to import ``parent`` so we must catch that. (Closes: #854670)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/541de9e)
        - [Add missing Recommends for comparators. (Closes: #854655)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/46d5003)
        - [Device and RPM fallback comparisons needs xxd due to fixtures. (Closes: #854593)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5696911)
        - [Fix behaviour of setting report maximums to zero (ie. no limits)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/aeb021a)
    - Misc:
        - [Don't uselessly run xxd(1) on non-directories.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/42c4c3a)
        - [Add .travis.yml from http://travis.debian.net.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c7b8eaa)
        - [Use diffoscope.tempfiles over tempfile.TemporaryDirectory to ensure correct cleanup at end of diffoscope run.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9eac636)
    - Tests:
        - [Smoke test --progress output.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9095225)
        - [Test the --status-fd output.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c9696b6)
        - [Move many tests to use new @skip\_unless\_module\_exists decorator.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e04e4f7)
        - [Show local variables in pytest tracebacks.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9d4113b)
- Mattia Rizzolo:
    - [No need to do complex string formatting just to convert an integer in a string](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e68dced)
- Holger Levsen:
    - [README: Keep history, explain this was started in Debian.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/fabb7bc)
- Ximin Luo:
    - [Better way of performing the entry name sanitisation](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e0563c8)
    - [Simplify call to subprocess.Popen](https://salsa.debian.org/reproducible-builds/diffoscope/commit/64f6ff1)
    - [Remove pointless use of a thread](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6ec3e00)
- Brett Smith:
    - [diffoscope.diff: Improve FIFO writing robustness.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/37649ac)


strip-nondeterminism development
--------------------------------

strip-nondeterminism 0.030-1 was uploaded to unstable by Chris Lamb:

- [Print log entry when fixing a file. (Closes: #777239)](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=506fc41)
- [dh\_strip\_nondeterminism: Use error() from Dh\_Lib.pm over manual die().](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=9609c8a)


buildinfo.debian.net development
--------------------------------

- Chris Lamb:
  - [Drop raw\_text fields now; we've moved them to default\_storage (S3)](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=a2e587d)


reproducible-website development
--------------------------------

- Joshua Lock:
  - [Link to Yocto Project on projects page](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/69f1826)


Misc.
-----

This week's edition was written by Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
