---
layout: blog
week: 98
published: 2017-03-14 06:03:54
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 5 and Saturday March 11 2017:

Upcoming events
---------------

* On March 23rd Holger Levsen will give a talk at the [German Unix User Group's "Frühjahrsfachgespräch"](http://www.guug.de/veranstaltungen/ffg2017/) called [Reproducible Builds everywhere](http://www.guug.de/adm/ffg-pk/abstracts.html#4_5_2).

* *Verifying Software Freedom with Reproducible Builds* will be presented
by Vagrant Cascadian at
[Libreplanet2017](https://www.libreplanet.org/2017/) in Boston, March
25th.

* *You, too, can write reproducible software!* workshop by Ximin Luo,
Vagrant Cascadian and Valerie Young at
[Libreplanet2017](https://www.libreplanet.org/2017/) in Boston, March
25th.

Reproducible Builds Hackathon Hamburg
-------------------------------------

The [Reproducible Builds Hamburg Hackathon 2017](https://wiki.debian.org/ReproducibleBuilds/HamburgHackathon2017), or RB-HH-2017 for short, is a 3 day hacking event taking place in the CCC Hamburg Hackerspace located inside the Frappant, which is collective art space located in a historical monument in Hamburg, Germany.

The aim of the hackathon is to spent some days working on Reproducible Builds in every distribution and project. The event is open to anybody interested on working on Reproducible Builds issues in any distro or project, with or without prio experience!

Packages filed
--------------

Chris Lamb:

* [#856834](https://bugs.debian.org/856834) filed against [tendermint-go-rpc](https://tracker.debian.org/pkg/tendermint-go-rpc).
* [#856860](https://bugs.debian.org/856860) filed against [archvsync](https://tracker.debian.org/pkg/archvsync).
* [#857122](https://bugs.debian.org/857122) filed against [python-gdata](https://tracker.debian.org/pkg/python-gdata) ([sent upstream](https://github.com/google/gdata-python-client/pull/56))
* [#857313](https://bugs.debian.org/857313) filed against [cylc](https://tracker.debian.org/pkg/cylc).
* [#857454](https://bugs.debian.org/857454) filed against [qtltools](https://tracker.debian.org/pkg/qtltools).

Toolchain development
---------------------

* Guillem Jover uploaded `dpkg` 1.18.23 to unstable, declaring `.buildinfo` format 1.0 as "stable".

* Jams McCoy uploaded `devscripts` 2.17.2 to unstable addingd support for `.buildinfo` files to the `debsign` utility via patches from Ximin Luo and Guillem Jover.

* Hans-Christoph Steiner noted that the [first reproducibility-related patch in the Android SDK](https://code.google.com/p/android/issues/detail?id=231886) was marked as confirmed.


Reviews of unreproducible packages
----------------------------------

39 package reviews have been added, 7 have been updated and 9 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been added:

- [ randomness\_in\_binaries\_generated\_by\_ruby\_mkmf](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/32989ecd)
- [build\_dir\_in\_documentation\_generated\_by\_doxygen](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/031e6feb)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Chris Lamb (2)

buildinfo.debian.net development
--------------------------------


- Chris Lamb:
  - [Show reproducible status of package.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=e64e321)
  - [Inject operator.getitem as a template filter.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=03630a4)
  - [Include version in BuildInfo's \_\_unicode\_\_](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=995abff)



reproducible-website development
--------------------------------


- Holger Levsen:
  - [Add first batch of post-it notes as pics](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/320d05e)
  - [Add FAQ feedback pad](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/260209b)
  - [Update report to latest version from Beatrice](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/73250c2)
  - [Polish diffoscope pad](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/76b375e)
  - [Add (unverified) Berlin summit pads from riseup, without interlinks yet](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/04ca865)

tests.reproducible-builds.org
-----------------------

- Hans-Christoph Steiner gave a progress report on testing F-Droid: we now have a complete vagrant workflow working in nested KVM!  So we can provision a new KVM guest, then package it using `vagrant box` all inside of a KVM guest (which is a profitbricks build node). So we finally have a working setup on `jenkins.debian.net`. Next up is fixing bugs in our libvirt snapshoting support.
- Then Hans-Christoph was also able to enable building of all F-Droid apps in our setup, though this is still work in progress…
- Daniel Shahaf spotted a subtile error in our FreeBSD sudoers configuration and as a result the [FreeBSD reproducibility results](https://tests.reproducible-builds.org/freebsd/) are back.
- Holger once again adjusted the Debian armhf scheduling frequency, to cope with the ever increasing amount of armhf builds.
- Mattia spotted a refactoring error which resulted in no maintenance mails for a week.
- Holger also spent some time on improving IRC notifications further, though there is still some improvements to be made.

Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen, Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
